Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getWirelessStatus({
serial: "string",
});
export const merakiDevicesWirelessStatusExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_wireless_status(serial="string")
pulumi.export("merakiDevicesWirelessStatusExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.GetWirelessStatus(ctx, &devices.GetWirelessStatusArgs{
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesWirelessStatusExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetWirelessStatus.Invoke(new()
{
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesWirelessStatusExample"] = example.Apply(getWirelessStatusResult => getWirelessStatusResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetWirelessStatusArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getWirelessStatus(GetWirelessStatusArgs.builder()
.serial("string")
.build());
ctx.export("merakiDevicesWirelessStatusExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getWirelessStatus
arguments:
serial: string
outputs:
merakiDevicesWirelessStatusExample: ${example.item}
Using getWirelessStatus
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWirelessStatus(args: GetWirelessStatusArgs, opts?: InvokeOptions): Promise<GetWirelessStatusResult>
function getWirelessStatusOutput(args: GetWirelessStatusOutputArgs, opts?: InvokeOptions): Output<GetWirelessStatusResult>def get_wireless_status(serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWirelessStatusResult
def get_wireless_status_output(serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWirelessStatusResult]func GetWirelessStatus(ctx *Context, args *GetWirelessStatusArgs, opts ...InvokeOption) (*GetWirelessStatusResult, error)
func GetWirelessStatusOutput(ctx *Context, args *GetWirelessStatusOutputArgs, opts ...InvokeOption) GetWirelessStatusResultOutput> Note: This function is named GetWirelessStatus in the Go SDK.
public static class GetWirelessStatus
{
public static Task<GetWirelessStatusResult> InvokeAsync(GetWirelessStatusArgs args, InvokeOptions? opts = null)
public static Output<GetWirelessStatusResult> Invoke(GetWirelessStatusInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWirelessStatusResult> getWirelessStatus(GetWirelessStatusArgs args, InvokeOptions options)
public static Output<GetWirelessStatusResult> getWirelessStatus(GetWirelessStatusArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getWirelessStatus:getWirelessStatus
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Serial string
- serial path parameter.
- serial String
- serial path parameter.
- serial string
- serial path parameter.
- serial str
- serial path parameter.
- serial String
- serial path parameter.
getWirelessStatus Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Status Item - Serial string
- serial path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Status Item - Serial string
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Status Item - serial String
- serial path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Status Item - serial string
- serial path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Status Item - serial str
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetWirelessStatusItem
- Basic
Service List<GetSets Wireless Status Item Basic Service Set> - SSID status list
- Basic
Service []GetSets Wireless Status Item Basic Service Set - SSID status list
- basic
Service List<GetSets Wireless Status Item Basic Service Set> - SSID status list
- basic
Service GetSets Wireless Status Item Basic Service Set[] - SSID status list
- basic_
service_ Sequence[Getsets Wireless Status Item Basic Service Set] - SSID status list
- basic
Service List<Property Map>Sets - SSID status list
GetWirelessStatusItemBasicServiceSet
- Band string
- Frequency range used by wireless network
- Broadcasting bool
- Whether the SSID is broadcasting based on an availability schedule
- Bssid string
- Unique identifier of wireless access point
- Channel int
- Frequency channel used by wireless network
- Channel
Width string - Width of frequency channel used by wireless network
- Enabled bool
- Status of wireless network
- Power string
- Strength of wireless signal
- Ssid
Name string - Name of wireless network
- Ssid
Number int - Unique identifier of wireless network
- Visible bool
- Whether the SSID is advertised or hidden
- Band string
- Frequency range used by wireless network
- Broadcasting bool
- Whether the SSID is broadcasting based on an availability schedule
- Bssid string
- Unique identifier of wireless access point
- Channel int
- Frequency channel used by wireless network
- Channel
Width string - Width of frequency channel used by wireless network
- Enabled bool
- Status of wireless network
- Power string
- Strength of wireless signal
- Ssid
Name string - Name of wireless network
- Ssid
Number int - Unique identifier of wireless network
- Visible bool
- Whether the SSID is advertised or hidden
- band String
- Frequency range used by wireless network
- broadcasting Boolean
- Whether the SSID is broadcasting based on an availability schedule
- bssid String
- Unique identifier of wireless access point
- channel Integer
- Frequency channel used by wireless network
- channel
Width String - Width of frequency channel used by wireless network
- enabled Boolean
- Status of wireless network
- power String
- Strength of wireless signal
- ssid
Name String - Name of wireless network
- ssid
Number Integer - Unique identifier of wireless network
- visible Boolean
- Whether the SSID is advertised or hidden
- band string
- Frequency range used by wireless network
- broadcasting boolean
- Whether the SSID is broadcasting based on an availability schedule
- bssid string
- Unique identifier of wireless access point
- channel number
- Frequency channel used by wireless network
- channel
Width string - Width of frequency channel used by wireless network
- enabled boolean
- Status of wireless network
- power string
- Strength of wireless signal
- ssid
Name string - Name of wireless network
- ssid
Number number - Unique identifier of wireless network
- visible boolean
- Whether the SSID is advertised or hidden
- band str
- Frequency range used by wireless network
- broadcasting bool
- Whether the SSID is broadcasting based on an availability schedule
- bssid str
- Unique identifier of wireless access point
- channel int
- Frequency channel used by wireless network
- channel_
width str - Width of frequency channel used by wireless network
- enabled bool
- Status of wireless network
- power str
- Strength of wireless signal
- ssid_
name str - Name of wireless network
- ssid_
number int - Unique identifier of wireless network
- visible bool
- Whether the SSID is advertised or hidden
- band String
- Frequency range used by wireless network
- broadcasting Boolean
- Whether the SSID is broadcasting based on an availability schedule
- bssid String
- Unique identifier of wireless access point
- channel Number
- Frequency channel used by wireless network
- channel
Width String - Width of frequency channel used by wireless network
- enabled Boolean
- Status of wireless network
- power String
- Strength of wireless signal
- ssid
Name String - Name of wireless network
- ssid
Number Number - Unique identifier of wireless network
- visible Boolean
- Whether the SSID is advertised or hidden
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
